@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Fira+Sans+Condensed:ital,wght@1,600;1,700&family=Merriweather:ital@1&display=swap');

body{
    font-family: 'Fira Sans', sans-serif; 
}

/* Header */

header {
    background-color: #e6e6e6;
    position: relative;
    float: left;
    width: 100%;
}

.header__logo {
    position: relative;
    float: left;
    padding: 15px;
}

.header__logo img {
    width: 130px;
}

.header__titulo {
    color: #4d4d4d;
    font-size: 25px;
    text-transform: uppercase;
    font-weight: bold;
    position: relative;
    float: left;
    padding-left: 25px;
    padding: 15px;
}

.header__menu {
    position: relative;
    float: right;
    text-align: right;
    background-color: #e10023;
    font-weight: 400;
    padding: 22px;
    color: #fff;
    padding-left: 27px;
    height: 68px;
    display: flex;
    cursor: pointer;
}

.header__menu::before {
    content: "";
    position: absolute;
    left: -22px;
    width: 43px;
    height: 68px;
    background: #e10023;
    transform: skew(328deg);
    top: 0px;
}

.header__menu i {
    font-size: 23px;
}

/* Menu Accesos */

.header__menu_accesos {
    position: absolute;
    right: 185px;
    background-color: #fff;
    padding: 7px;
    top: 13px;
    padding-left: 15px;
    border-radius: 25px;
    padding-right: 17px;
    font-weight: 500;
    text-transform: uppercase;
    cursor: pointer;
}

.header__menu_accesos img {
    margin-right: 9px;
}

.menu_accesos {
    height: 100%;
    width: 0%;
    position: fixed;
    z-index: 9999;
    top: 0;
    right: 0;
    background-color: #000000;
    overflow: hidden;
    overflow-x: hidden;
    transition: 0.5s;
    display: grid;
}

.menu_accesos__close {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 43px;
    color: #ffff;
    cursor: pointer;
}

.menu_accesos__title img {
    width: 45px;
    margin-right: 14px;
}

.menu_accesos__title {
    font-size: 30px;
    margin-bottom: 20px;
    color: #fff;
    font-weight: 500;
    text-transform: uppercase;
}

.menu_accesos__content {
    align-self: center;
    justify-self: center;
    padding-bottom: 15px;
    padding-top: 15px;
    width: 350px;
}

.menu_accesos__list {
    padding-left: 30px;
    border-left: 4px solid #ab0909;
    margin-left: 40px;
    margin-top: 30px;
}

.menu_accesos__item, .menu_accesos__item:hover {
    font-size: 1.6rem;
    font-weight: bold;
    color: #fff;
    margin-bottom: 15px;
    cursor: pointer;
    display: block;
    text-decoration: none;
}


/* Menu */

.menu {
    height: 100%;
    width: 0%;
    position: fixed;
    z-index: 9999;
    top: 0;
    right: 0;
    background-color: #000000;
    overflow: hidden;
    overflow-x: hidden;
    transition: 0.5s;
    display: grid;
}

.menu__close {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 43px;
    color: #ffff;
    cursor: pointer;
}

.menu__list {
    align-self: center;
    justify-self: center;
    border-left: 4px solid #ab0909;
    padding-left: 30px;
    padding-bottom: 15px;
    padding-top: 15px;
    width: 350px;
}

.menu__item, .menu__item:hover {
    font-size: 1.6rem;
    font-weight: bold;
    color: #fff;
    margin-bottom: 5px;
    cursor: pointer;
    display: block;
    text-decoration: none;
}

.header__menu span {
    text-transform: uppercase;
    padding-right: 11px;
    font-weight: 300;
}

.submenu__item {
    display: none;
}

.submenu__item a{
    padding-left: 25px;
}

.submenu__item a {
    display: block;
    text-decoration: none;
    color: #fff;
    margin-bottom: 9px;
    font-weight: 100;
    font-size: 20px;
}

.submenu__item--tab {
    padding-left: 8px;
    margin-bottom: 12px;
}

.submenu__item--tab span {
    font-size: 20px;
    font-weight: 500;
    color: #fff;
    margin-left: 20px;
    margin-right: 20px;
    text-transform: uppercase;
    cursor: pointer;
    padding: 10;
}

.submenu__item--tab .active_tab {
    background-color: #4d4d4d;
}

.submenu__item--tehuacan,
.submenu__item--puebla{
    display: none;
}

/* Footer */

footer {
    background-color: #000; 
    position: relative;
    float: left;
    width: 100%;
    padding-bottom: 40px;
    padding-top: 40px;
}

ol.footer__list {
    list-style: none;
    padding: 0px;
    margin-bottom: 30px;
}

ol.footer__list a {
    color: #ddd;
    font-size: 15px;
    font-weight: 300;
    text-decoration: none;
}

ol.footer__list li {
    margin-bottom: 14px;
}

ol.footer__list i {
    margin-left: 12px;
}

ol.footer__list i {
    padding-right: 10px;
    color: #D50000;
}

.footer__logo img {
    width: 130px;
}

.footer__logo {
    text-align: center;
}

.footer__direccion {
    text-align: center;
    font-size: 12px;
    margin-bottom: 20px;
    margin-top: 20px;
    color: #ddd;
}

.footer__telefono {
    text-align: center;
    font-size: 17px;
    margin-bottom: 20px;
    margin-top: 20px;
    color: #fff;
    font-weight: bold;
}

.footer__redessociales {
    text-align: left;
    font-size: 16px;
    margin-top: 20px;
    color: #ddd;
    font-weight: bold;
    position: relative;
    float: left;
    margin-bottom: 40px;
    width: 100%;
    padding-left: 50px;
}

.footer__redessociales img {
    width: 32px;
}

.footer__redessociales a {
    width: 100px;
    display: block;
    float: left;
    margin-bottom: 20px;
}

.footer__banner {
    position: relative;
    float: left;
    width: 100%;
    padding-left: 50px;
}

.footer__banner img {
    width: 190px;
}

section.header__titulo--movil {
    display: none;
}

@media only screen and (max-width: 768px) and (min-width: 300px)  {

    .header__titulo {
        display: none;
    }

    .header__menu_accesos img {
        margin-right: 5px;
        width: 19px;
    }

    section.header__titulo--movil {
        display: block;
        padding: 10px;
        position: relative;
        float: left;
        width: 100%;
        background-color: #000;
        color: #ffff;
        text-transform: uppercase;
        padding-left: 15px;
        font-weight: bold;
    }

    .header__menu {
        padding: 17px;
        color: #fff;
        padding-left: 0px;
        padding-right: 15px;
        height: 56px;
    }

    .header__menu span {
        font-size: 13px;
        z-index: 2;
    }

    .header__menu::before {
        left: -22px;
        width: 39px;
        height: 56px;
        z-index: 1;
    }

    .header__logo {
        padding: 8px;
        padding-top: 14px;
    }
    
    .header__logo img {
        width: 100px;
    }

    .footer__banner,
    .footer__redessociales {
        padding-left: 0px;
    }
    .footer__redessociales a {
        width: 66px;
        text-align: center;
    }

    .footer__banner {
        text-align: center;
    }

    ol.footer__list {
        margin-bottom: 10px;
    }

    .footer__banner,
    .footer__redessociales {
        margin-bottom: 20px;
    }

    .menu__list {
        width: 300px;
    }

    .submenu__item--tab {
        display: flex;
    }

    .submenu__item a {
        font-size: 16px;
    }

    .header__menu_accesos {
        left: 120px;
        padding: 5px;
        padding-left: 7px;
        padding-right: 7px;
        z-index: 1;
        width: 121px;
        font-size: 11px;
        top: 15px;
    }

    .menu_accesos__title {
        margin-left: 35px;
    }

}

